SchedulerPortlet (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.server

## Class SchedulerPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.datatransfer.portlets.user.server.SchedulerPortlet

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class SchedulerPortlet
      extends javax.portlet.GenericPortlet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEdit(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `doHelp(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doHeaders, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerPortlet

          public SchedulerPortlet()

  - ### Method Detail

    - #### doView

          public void doView(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### doEdit

          public void doEdit(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doEdit` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### doHelp

          public void doHelp(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doHelp` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### processAction

          public void processAction(javax.portlet.ActionRequest request,
                           javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

Copyright © 2015. All Rights Reserved.